<template>
  <div class="flex-auto">
    <Component
      :is="getCurrentComponent"
      @nextStage="nextStage"
    />
  </div>
</template>

<script>
import {parentComponentMixin} from "@/utils/mixins";
import TheBasics1 from "@/components/quizzes/TheBasics/TheBasics1";
import SMSUpdates from "@/components/quizzes/TheBasics/SMSUpdates";
import TheBasics2 from "@/components/quizzes/TheBasics/TheBasics2";

export default {
  mixins: [parentComponentMixin],
  name: "TheBasics",
  data() {
    return {
      stages: {
        1: TheBasics1,
        2: SMSUpdates,
        3: TheBasics2
      },
      stageNumber: 1,
    }
  }
}
</script>

<style scoped>

</style>
